tbb::strict_ppl::internal::micro_queue< T >::padded_page Struct Reference

`#include <_concurrent_queue_impl.h>`

Inheritance diagram for tbb::strict_ppl::internal::micro_queue< T >::padded_page:
Collaboration diagram for tbb::strict_ppl::internal::micro_queue< T >::padded_page:

## Public Member Functions

| padded_page ()
| Not defined anywhere - exists to quiet warnings. More...
void | operator= (const padded_page &)
| Not defined anywhere - exists to quiet warnings. More...

## Public Attributes

T | last
| Must be last field. More...
Public Attributes inherited from tbb::strict_ppl::internal::concurrent_queue_rep_base::page
page * | next
uintptr_t | mask

## Detailed Description

### template<typename T>
struct tbb::strict_ppl::internal::micro_queue< T >::padded_page

Definition at line 167 of file _concurrent_queue_impl.h.

## Constructor & Destructor Documentation

## padded_page()

template<typename T>

tbb::strict_ppl::internal::micro_queue< T >::padded_page::padded_page | ( |  | ) |

Not defined anywhere - exists to quiet warnings.

## Member Function Documentation

## operator=()

template<typename T>

void tbb::strict_ppl::internal::micro_queue< T >::padded_page::operator= | ( | const padded_page & |  | ) |

Not defined anywhere - exists to quiet warnings.

## Member Data Documentation

## last

template<typename T>

T tbb::strict_ppl::internal::micro_queue< T >::padded_page::last

Must be last field.

Definition at line 173 of file _concurrent_queue_impl.h.

The documentation for this struct was generated from the following file:

- _concurrent_queue_impl.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.